QGIS Application - Feature request #8595
WMTS connections with authentification fails
2013-09-10 11:51 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 17337
Description

I’m trying to establish a WMTS connection with authentification having the following url:

http://kortforsyningen.kms.dk/orto _foraar?VERSION=1.0.0&#38;LAYER=orto foraar&#38;request=GetCapabilities&#38;SERVICE=W
TS&#38;login=qgistest&#38;password=qgistestpw

In the WMS/WMTS dialog | can connect get a tile-set to choose and press add. An errormessage is recorded.

This is a part of the string. It gives no login/password:
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar
#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1405&#38;TIL

FCOL=:

ECOL=2802
When | take this part of the string, add my login and password and test in a browser it works fine.

http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar
#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=14048&#38;TIL|

FCOL=:

ECOL=2802&#38;login=qgistest&#38;password=qgistestpw

The login and password in these examples is working, so the connectionstring should work for testingpurposes.

My conclusion: QGIS can retrieve the parameter with the GetCapability but not get the map from Request=GetTile because it doesn’t add
the login/password parameter to the request.

Associated revisions

Revision 8248239a - 2013-10-31 01:08 AM - Jiirgen Fischer

optionally use base url for WMTS GetTile requests (implements #8595)

History

#1 - 2013-10-30 12:56 PM - Lene Fischer

This is a huge problem. While digitizing on a poor internet connection AND using on tablet/android.

| can get Google Tile because it is without username and password - but not our own Tileservice bacause QGIS can’t read Request=GetTile because it
doesn’t add the login/password parameter to the request.

Please Help on this Bug.

Kind Regards
Lene Fischer
http://kortforsyningen.kms.dk/orto_foraar?VERSION=1.0.0&#38;LAYER=orto_foraar&#38;request=GetCapabilities&#38;SERVICE=WMTS&#38;login=qgistest&#38;password=qgistestpw
http://kortforsyningen.kms.dk/orto_foraar?VERSION=1.0.0&#38;LAYER=orto_foraar&#38;request=GetCapabilities&#38;SERVICE=WMTS&#38;login=qgistest&#38;password=qgistestpw
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar&#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1405&#38;TILECOL=2802
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar&#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1405&#38;TILECOL=2802
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar&#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1405&#38;TILECOL=2802
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar&#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1404&#38;TILECOL=2802&#38;login=qgistest&#38;password=qgistestpw
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar&#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1404&#38;TILECOL=2802&#38;login=qgistest&#38;password=qgistestpw
http://kortforsyningen.kms.dk/orto_foraar?SERVICE=WMTS&#38;REQUEST=GetTile&#38;VERSION=1.0.0&#38;LAYER=orto_foraar&#38;STYLE=default&#38;FORMAT=image/jpeg&#38;TILEMATRIXSET=View1&#38;TILEMATRIX=L11&#38;TILEROW=1404&#38;TILECOL=2802&#38;login=qgistest&#38;password=qgistestpw

#2 - 2013-10-30 04:51 PM - Jiirgen Fischer

- Tracker changed from Bug report to Feature request

It's not a bug. The GetTile request is formed from the GetTile operation information from GetCapabilities. If the server would echo the credential
information in the GetTile URL it announces there, it would work. HTTP authentication would also work.

#3 - 2013-10-30 05:11 PM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

implemented in commit:8248239

You still need to use an uppercase REQUEST parameter in the GetCapabilities url.
